GNU bug report logs - #46946
Add python-bioframe, python-cooltools

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Mădălin Ionel Patrașcu <madalinionel.patrascu@HIDDEN>; dated Fri, 5 Mar 2021 13:51:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Changed bug title to 'Add python-bioframe, python-cooltools' from '(no subject)' Request was from zimoun <zimon.toutoune@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 46946 <at> debbugs.gnu.org:


Received: (at 46946) by debbugs.gnu.org; 5 Mar 2021 14:20:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 05 09:20:22 2021
Received: from localhost ([127.0.0.1]:33337 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lIBJW-0008Pe-0X
	for submit <at> debbugs.gnu.org; Fri, 05 Mar 2021 09:20:22 -0500
Received: from a2062.mx.srv.dfn.de ([194.95.232.172]:51215)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <MadalinIonel.Patrascu@HIDDEN>)
 id 1lIBJU-0008PN-0z
 for 46946 <at> debbugs.gnu.org; Fri, 05 Mar 2021 09:20:20 -0500
Received: from localhost (localhost [127.0.0.1])
 by a2062.mx.srv.dfn.de (Postfix) with ESMTP id E049BA00FB;
 Fri,  5 Mar 2021 15:20:13 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mdc-berlin.de; h=
 content-type:content-type:content-transfer-encoding:mime-version
 :references:in-reply-to:x-mailer:message-id:date:date:subject
 :subject:from:from:received:received:received; s=mdc; t=
 1614954013; x=1616768414; bh=mVzSy73pohHl6zrV+tNB01c8HLLVSVol0uI
 e+3Gd9uo=; b=TUe51Sel2wRE2sSjLp3+UhrRp/uu+tSL4Fp8CYumZweTZxgsewb
 jwi8jOIYnQswI7gMIk7C6RJsAKJFyVlNW8gjuBpEqwDm5W/KlECMWFxRnLS2NRFo
 rmuGGZ7jzQsqlj+Ut6y1ng9Se9StCIEz5HpP1qSRqaq/JmQT1TsWBTPI=
Received: from a2062.mx.srv.dfn.de ([127.0.0.1])
 by localhost (mgw4-han.srv.dfn.de [127.0.0.1]) (amavisd-new, port 20134)
 with ESMTP id 7vE_eJM9p4CL; Fri,  5 Mar 2021 15:20:13 +0100 (CET)
Received: from SW-IT-P-EX4.mdc-berlin.net (mgw4.mdc-berlin.de [141.80.113.62])
 by a2062.mx.srv.dfn.de (Postfix) with ESMTPS;
 Fri,  5 Mar 2021 15:20:13 +0100 (CET)
Received: from Guix-Ubuntu18.04 (141.80.113.106) by SW-IT-P-EX4.mdc-berlin.net
 (141.80.113.62) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.1.2176.2; Fri, 5 Mar 2021
 15:20:13 +0100
From: =?UTF-8?q?M=C4=83d=C4=83lin=20Ionel=20Patra=C8=99cu?=
 <madalinionel.patrascu@HIDDEN>
To: <46946 <at> debbugs.gnu.org>
Subject: [PATCH 2/2] gnu: Add python-cooltools.
Date: Fri, 5 Mar 2021 15:19:30 +0100
Message-ID: <20210305141930.28787-2-madalinionel.patrascu@HIDDEN>
X-Mailer: git-send-email 2.30.1
In-Reply-To: <20210305141930.28787-1-madalinionel.patrascu@HIDDEN>
References: <20210305141930.28787-1-madalinionel.patrascu@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-Originating-IP: [141.80.113.106]
X-ClientProxiedBy: SW-IT-P-EX2.mdc-berlin.net (141.80.113.60) To
 SW-IT-P-EX4.mdc-berlin.net (141.80.113.62)
X-TM-AS-Product-Ver: SMEX-14.0.0.3080-8.6.1012-26010.007
X-TM-AS-Result: No-10--3.117800-8.000000
X-TMASE-MatchedRID: TYP229Ekev4saaYlMvaOHAPZZctd3P4BRWl9Bl0RPNaH4I6QZJ07keR3
 7ySpIkGCOOIn5zbTcyw5gHVxu2yZ5tsJuFUx3wevfOaYwP8dcX7IEQTlh1/QMcgVyTd/p+/Iksg
 phu0+71BiN1Woi4uYp+pGJSAHQICsyL4SsacYXAO+vuhCHYf16wsE9gx+4jJudroFpVy5w+lFS8
 Sy/IDc9G4xLhk/yLgSD7OFUBidaqL4515TanER7FS0U/rncMc4GvHEXpfoEJx6wGV3uXm3apgNM
 iEzDc45fS0Ip2eEHnz3IzXlXlpamPoLR4+zsDTttrrTuahHzlHbQHDI1WXCIoq800SCYZKNPc8F
 00n3OBIJYpLRbF14YQR0T0a3wTZcdLYxms+5aUeJ+qRT860nriFFQEBVOI2U4CC8wZh6tHpvx+y
 4SCozttG1pfB9ENkTtDC+Oypvl/RGDgEFwm6aoD6Qrn3xh/cy
X-TM-AS-User-Approved-Sender: Yes
X-TM-AS-User-Blocked-Sender: No
X-TMASE-Result: 10--3.117800-8.000000
X-TMASE-Version: SMEX-14.0.0.3080-8.6.1012-26010.007
X-TM-SNTS-SMTP: 2D7C018D3966EBF7844CF33C1FE6744187A079E7EC07657B08508D608F8D53292000:F
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46946
Cc: rekado@HIDDEN, =?UTF-8?q?M=C4=83d=C4=83lin=20Ionel=20Patra=C8=99cu?=
 <madalinionel.patrascu@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/bioinformatics.scm (python-cooltools): New variable.
---
 gnu/packages/bioinformatics.scm | 45 +++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)

diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index fb357b8b6c..a6ea8f831d 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -13652,6 +13652,51 @@ storage format, called @code{cool}, used to store genomic interaction data,
 such as Hi-C contact matrices.")
     (license license:bsd-3)))
 
+(define-public python-cooltools
+;;pypi sources requiere bioframe<0.1 while github latest version requires
+;; bioframe>=0.1.0
+  (let ((revision "1")
+        (commit "53ce4fc11d046e84ca36f3591e9e5d548de9f7b2"))
+    (package
+      (name "python-cooltools")
+      (version (git-version "0.3.2" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+              (url "https://github.com/open2c/cooltools")
+              (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32
+           "0y1wf7a0by2kih2iy5xrwzdgw1i24cwigfz4352aq5npxrpjvj6q"))))
+      (build-system python-build-system)
+      (propagated-inputs
+       `(("python-bioframe" ,python-bioframe)
+         ("python-click" ,python-click)
+         ("python-cooler" ,python-cooler)
+         ("python-cytoolz" ,python-cytoolz)
+         ("python-joblib" ,python-joblib)
+         ("python-matplotlib" ,python-matplotlib)
+         ("python-multiprocess" ,python-multiprocess)
+         ("python-numba" ,python-numba)
+         ("python-numpy" ,python-numpy)
+         ("python-pandas" ,python-pandas)
+         ("python-scikit-learn" ,python-scikit-learn)
+         ("python-scipy" ,python-scipy)
+         ("python-tables" ,python-tables)))
+      (native-inputs
+       `(("python-cython" ,python-cython)))
+      (home-page
+       "https://github.com/open2c/cooltools")
+      (synopsis
+       "Analysis tools for genomic interaction data stored in .cool format")
+      (description
+       "This package provides necessary tools for the analysis of the genomic
+interaction data stored in .cool format.  This collection of tools includes
+operations like compartment, insulation or peak calling.")
+      (license license:expat))))
+
 (define-public python-hicmatrix
   (package
     (name "python-hicmatrix")
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#46946; Package guix-patches. Full text available.

Message received at 46946 <at> debbugs.gnu.org:


Received: (at 46946) by debbugs.gnu.org; 5 Mar 2021 14:19:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 05 09:19:53 2021
Received: from localhost ([127.0.0.1]:33333 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lIBJ3-0008OJ-Ly
	for submit <at> debbugs.gnu.org; Fri, 05 Mar 2021 09:19:53 -0500
Received: from c2062.mx.srv.dfn.de ([194.95.238.172]:38503)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <MadalinIonel.Patrascu@HIDDEN>)
 id 1lIBJ1-0008O1-6Q
 for 46946 <at> debbugs.gnu.org; Fri, 05 Mar 2021 09:19:52 -0500
Received: from localhost (localhost [127.0.0.1])
 by c2062.mx.srv.dfn.de (Postfix) with ESMTP id B13043000EC;
 Fri,  5 Mar 2021 15:19:44 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mdc-berlin.de; h=
 content-type:content-type:content-transfer-encoding:mime-version
 :x-mailer:message-id:date:date:subject:subject:from:from
 :received:received:received; s=mdc; t=1614953984; x=1616768385;
 bh=p0n2YNYAsOv6Dnox/rEEfDAEzTkklaVcHExTIPkjPwk=; b=bIZp/vrrCn8J
 XWciFblNtxGl7/XPn13n8/Fa8acrgoNx2t6pxzYlsx/3MKB30/HfNPTr0cP3kf+c
 ufTUSapyOjRMKWe1a4G9jmMSkriolf7Dh/t/EbenKfBa31HKZO5e0G1ScPb8AXqW
 x7+PTIj/Ms2hSokHEgKqf5JqhAlTHfo=
Received: from c2062.mx.srv.dfn.de ([127.0.0.1])
 by localhost (mgw4-erl.srv.dfn.de [127.0.0.1]) (amavisd-new, port 20134)
 with ESMTP id qTtwhMPW726E; Fri,  5 Mar 2021 15:19:44 +0100 (CET)
Received: from SW-IT-P-EX4.mdc-berlin.net (mgw4.mdc-berlin.de [141.80.113.62])
 by c2062.mx.srv.dfn.de (Postfix) with ESMTPS;
 Fri,  5 Mar 2021 15:19:44 +0100 (CET)
Received: from Guix-Ubuntu18.04 (141.80.113.106) by SW-IT-P-EX4.mdc-berlin.net
 (141.80.113.62) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.1.2176.2; Fri, 5 Mar 2021
 15:19:43 +0100
From: =?UTF-8?q?M=C4=83d=C4=83lin=20Ionel=20Patra=C8=99cu?=
 <madalinionel.patrascu@HIDDEN>
To: <46946 <at> debbugs.gnu.org>
Subject: [PATCH 1/2] gnu: Add python-bioframe.
Date: Fri, 5 Mar 2021 15:19:29 +0100
Message-ID: <20210305141930.28787-1-madalinionel.patrascu@HIDDEN>
X-Mailer: git-send-email 2.30.1
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-Originating-IP: [141.80.113.106]
X-ClientProxiedBy: SW-IT-P-EX2.mdc-berlin.net (141.80.113.60) To
 SW-IT-P-EX4.mdc-berlin.net (141.80.113.62)
X-TM-AS-Product-Ver: SMEX-14.0.0.3080-8.6.1012-26010.007
X-TM-AS-Result: No-10-1.195600-8.000000
X-TMASE-MatchedRID: jJK0QAsddvYsaaYlMvaOHAPZZctd3P4BJMLyF26ahp3fc2Xd6VJ+ypz+
 ZUWgONn9ONYj3/n/Uxsgy4WsMZaXZD1bnfEEP633a87CDXaKRVIjFTUmyJTlscZygq/CPmro0rC
 vsVMmyNopTyRGdhl/1t033kdg+s9McznnimP5Cn8fuiiOOXntlUMYrblfIl47+P/Gqbdv4yjuBS
 2IhnV8FuQvL5xJoOF9UZJsRgxZser5HING3S/3PVS0U/rncMc4b0NcOFSwefJw9p8oKhdgf0Suy
 wxB3Ejkk0fkvX74QHq1/ilaMMAcpqVXGK1tVGyudhnFihmbnwUCn5QffvZFlYEp83Hd963HmA0y
 ITMNzjl9LQinZ4QefPcjNeVeWlqY+gtHj7OwNO34ZhR52Rc1ap0WaS7oZl7kIN+tyZNN2eW568H
 CLuN/KgIZA7AxGfb+A15KICIMa5Nz2tWWas3a5OWGuQE3ym+9Ys32x4zbCRxICZB0q0w5m2/H7L
 hIKjO20bWl8H0Q2RO0ML47Km+X9EYOAQXCbpqgJRrsvPnso5c=
X-TM-AS-User-Approved-Sender: Yes
X-TM-AS-User-Blocked-Sender: No
X-TMASE-Result: 10-1.195600-8.000000
X-TMASE-Version: SMEX-14.0.0.3080-8.6.1012-26010.007
X-TM-SNTS-SMTP: 5B2546B627F6CD4B871E6B0882B039D6EDD436B18E8C330FA55B57284328E2442000:F
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46946
Cc: rekado@HIDDEN, =?UTF-8?q?M=C4=83d=C4=83lin=20Ionel=20Patra=C8=99cu?=
 <madalinionel.patrascu@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/bioinformatics.scm (python-bioframe): New variable.
---
 gnu/packages/bioinformatics.scm | 46 +++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)

diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index d617736e57..fb357b8b6c 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -120,6 +120,7 @@
   #:use-module (gnu packages popt)
   #:use-module (gnu packages protobuf)
   #:use-module (gnu packages python)
+  #:use-module (gnu packages python-build)
   #:use-module (gnu packages python-check)
   #:use-module (gnu packages python-compression)
   #:use-module (gnu packages python-science)
@@ -923,6 +924,51 @@ Python.")
        `(("python2-pathlib" ,python2-pathlib)
          ,@(package-native-inputs pybedtools))))))
 
+(define-public python-bioframe
+  (package
+    (name "python-bioframe")
+    (version "0.2.0")
+    ;;pypi sources does not contain requirements.txt
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/open2c/bioframe")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "0w5xrb93cf3hx3d1lw48a0l1ranghpj260b05b1rpk58wwwcsqfh"))))
+    (build-system python-build-system)
+    (propagated-inputs
+     `(("python-click" ,python-click)
+       ("python-numpy" ,python-numpy)
+       ("python-pandas" ,python-pandas)
+       ("python-requests" ,python-requests)))
+    (native-inputs
+     `(("python-dask" ,python-dask)             ;;for unittest.loader
+       ("python-matplotlib" ,python-matplotlib) ;;for unittest.loader
+       ("python-numba" ,python-numba)           ;;for unittest.loader
+       ("python-pypairix" ,python-pypairix)     ;;for unittest.loader
+       ("python-pytest" ,python-pytest)
+       ("python-wheel" ,python-wheel)))
+    (home-page "https://github.com/open2c/bioframe")
+    (synopsis
+     "Framework for genomic data analysis using Pandas dataframes")
+    (description
+     "This package is a library to enable flexible and scalable operations on
+genomic interval dataframes in python.  @code{python-bioframe} enables access
+to a rich set of dataframe operations.  Working in python enables rapid
+visualization (e.g. matplotlib, seaborn) and iteration of genomic analyses.
+The philosophy underlying @code{python-bioframe} is to enable flexible
+operations: instead of creating a function for every possible use-case, we
+instead encourage users to compose functions to achieve their goals.  As a
+rough rule of thumb, if a function requires three steps and is crucial for
+genomic interval arithmetic we have included it; conversely if it can be
+performed in a single line by composing two of the core functions, we have not
+included it.")
+    (license license:expat)))
+
 (define-public python-biom-format
   (package
     (name "python-biom-format")
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#46946; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Mar 2021 13:50:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 05 08:50:36 2021
Received: from localhost ([127.0.0.1]:33290 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lIAqi-0007cd-2d
	for submit <at> debbugs.gnu.org; Fri, 05 Mar 2021 08:50:36 -0500
Received: from lists.gnu.org ([209.51.188.17]:40520)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <MadalinIonel.Patrascu@HIDDEN>)
 id 1lIAqg-0007cW-RU
 for submit <at> debbugs.gnu.org; Fri, 05 Mar 2021 08:50:35 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:36836)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <MadalinIonel.Patrascu@HIDDEN>)
 id 1lIAqg-0006k6-Iw
 for guix-patches@HIDDEN; Fri, 05 Mar 2021 08:50:34 -0500
Received: from c2062.mx.srv.dfn.de ([194.95.238.172]:45239)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <MadalinIonel.Patrascu@HIDDEN>)
 id 1lIAqe-0004xY-9c
 for guix-patches@HIDDEN; Fri, 05 Mar 2021 08:50:34 -0500
Received: from localhost (localhost [127.0.0.1])
 by c2062.mx.srv.dfn.de (Postfix) with ESMTP id 7A0C0300157
 for <guix-patches@HIDDEN>; Fri,  5 Mar 2021 14:50:28 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mdc-berlin.de; h=
 content-language:content-transfer-encoding:content-type
 :content-type:mime-version:user-agent:date:date:message-id:from
 :from:received:received:received; s=mdc; t=1614952228; x=
 1616766629; bh=frcCV1k9oG9oKj3dpUqdJg1PxRT2RSN/XKdLCPjaYaY=; b=N
 oBG+Q5iJmQUMgr2eBbgWIn4Y6KSGddxr/4Zp1DKD5fD33+vQASAZlQheNj7y6l8M
 fbqLz6inkxvXGYnDSxQtAR7+uDiFky7koY3UEBCaDr4kBPSLiBa3L7dokGQn2Mhc
 YfdMJWKIyupMlB6MRtC67uXq5ibbcNxHDExNFFz1w8=
Received: from c2062.mx.srv.dfn.de ([127.0.0.1])
 by localhost (mgw4-erl.srv.dfn.de [127.0.0.1]) (amavisd-new, port 20134)
 with ESMTP id jmAz1n-nTRjL for <guix-patches@HIDDEN>;
 Fri,  5 Mar 2021 14:50:28 +0100 (CET)
Received: from SW-IT-P-EX4.mdc-berlin.net (mgw4.mdc-berlin.de [141.80.113.62])
 by c2062.mx.srv.dfn.de (Postfix) with ESMTPS
 for <guix-patches@HIDDEN>; Fri,  5 Mar 2021 14:50:28 +0100 (CET)
Received: from [192.168.1.220] (31.18.50.167) by SW-IT-P-EX4.mdc-berlin.net
 (141.80.113.62) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.1.2176.2; Fri, 5 Mar 2021
 14:50:27 +0100
To: <guix-patches@HIDDEN>
From: =?UTF-8?B?TcSDZMSDbGluIElvbmVsIFBhdHJhyJljdQ==?=
 <madalinionel.patrascu@HIDDEN>
Message-ID: <a2e7d423-e124-af29-6367-33a2b478008d@HIDDEN>
Date: Fri, 5 Mar 2021 14:50:27 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
Content-Type: text/plain; charset="utf-8"; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Originating-IP: [31.18.50.167]
X-ClientProxiedBy: SW-IT-P-EX3.mdc-berlin.net (141.80.113.61) To
 SW-IT-P-EX4.mdc-berlin.net (141.80.113.62)
X-TM-AS-Product-Ver: SMEX-14.0.0.3080-8.6.1012-26010.007
X-TM-AS-Result: No-10-2.373600-8.000000
X-TMASE-MatchedRID: zNHEZVbO6+CYN/UYLI7XqOLzNWBegCW2RYvisGWbbS/ITICTZKCMNexJ
 beH3K4ldgPn1rCdWbriK1w/mwA00Qd0H8LFZNFG73Yq8RVaZivV4OXlDu6jxLpvOJThWZQ3kbSv
 Uj/BK7J9DE2SiozhChZlMspqOq0CS
X-TM-AS-User-Approved-Sender: Yes
X-TM-AS-User-Blocked-Sender: No
X-TMASE-Result: 10-2.373600-8.000000
X-TMASE-Version: SMEX-14.0.0.3080-8.6.1012-26010.007
X-TM-SNTS-SMTP: 16C799DA591B8594B6728BA7D0CBB66FD88536C1527B93CFC41F821FB61AC6B32000:F
Received-SPF: pass client-ip=194.95.238.172;
 envelope-from=MadalinIonel.Patrascu@HIDDEN; helo=c2062.mx.srv.dfn.de
X-Spam_score_int: 13
X-Spam_score: 1.3
X-Spam_bar: +
X-Spam_report: (1.3 / 5.0 requ) BAYES_00=-1.9, BODY_EMPTY=0.22, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, EMPTY_MESSAGE=2.32,
 MISSING_SUBJECT=1.799, PYZOR_CHECK=1.392, RCVD_IN_DNSWL_MED=-2.3,
 RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 3.2 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details. Content preview:  
 Content analysis details:   (3.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.51.188.17 listed in wl.mailspike.net]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;
 id=madalinionel.patrascu%40mdc-berlin.de; ip=209.51.188.17; r=debbugs.gnu.org]
 2.3 EMPTY_MESSAGE          Message appears to have no textual parts and no
 Subject: text 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 1.8 MISSING_SUBJECT        Missing Subject: header
 0.2 NO_SUBJECT             Extra score for no subject
 0.2 BODY_EMPTY             No body text in message
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  
 
 Content analysis details:   (2.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
                             medium trust
                             [209.51.188.17 listed in list.dnswl.org]
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.51.188.17 listed in wl.mailspike.net]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;id=madalinionel.patrascu%40mdc-berlin.de;ip=209.51.188.17;r=debbugs.gnu.org]
  2.3 EMPTY_MESSAGE          Message appears to have no textual parts and no
                             Subject: text
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  1.8 MISSING_SUBJECT        Missing Subject: header
  0.2 NO_SUBJECT             Extra score for no subject
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.2 BODY_EMPTY             No body text in message






Acknowledgement sent to Mădălin Ionel Patrașcu <madalinionel.patrascu@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

Full text available.


Report forwarded to guix-patches@HIDDEN:
bug#46946; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 24 Mar 2021 03:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.